import request from '@/utils/request'

// 查询添加微信话术列表
export function listWxDialog(query) {
  return request({
    url: '/company/wxDialog/list',
    method: 'get',
    params: query
  })
}
// 查询添加微信话术列表
export function listAll(query) {
  return request({
    url: '/company/wxDialog/listAll',
    method: 'get',
    params: query
  })
}

// 查询添加微信话术详细
export function getWxDialog(id) {
  return request({
    url: '/company/wxDialog/' + id,
    method: 'get'
  })
}

// 新增添加微信话术
export function addWxDialog(data) {
  return request({
    url: '/company/wxDialog',
    method: 'post',
    data: data
  })
}

// 修改添加微信话术
export function updateWxDialog(data) {
  return request({
    url: '/company/wxDialog',
    method: 'put',
    data: data
  })
}

// 删除添加微信话术
export function delWxDialog(id) {
  return request({
    url: '/company/wxDialog/' + id,
    method: 'delete'
  })
}

// 导出添加微信话术
export function exportWxDialog(query) {
  return request({
    url: '/company/wxDialog/export',
    method: 'get',
    params: query
  })
}
